diff --git a/src/bin/psql/tab-complete.c b/src/bin/psql/tab-complete.c
new file mode 100644
index 6b5dd49..a1bb230
*** a/src/bin/psql/tab-complete.c
--- b/src/bin/psql/tab-complete.c
*************** psql_completion(char *text, int start, i
*** 1261,1266 ****
--- 1261,1281 ----
  
  		COMPLETE_WITH_LIST(list_ALTERENABLE2);
  	}
+ 	/* ALTER TABLE xxx INHERIT */
+ 	else if (pg_strcasecmp(prev4_wd, "ALTER") == 0 &&
+ 			 pg_strcasecmp(prev3_wd, "TABLE") == 0 &&
+ 			 pg_strcasecmp(prev_wd, "INHERIT") == 0)
+ 	{
+ 		COMPLETE_WITH_SCHEMA_QUERY(Query_for_list_of_tables, "");
+ 	}
+ 	/* ALTER TABLE xxx NO INHERIT */
+ 	else if (pg_strcasecmp(prev5_wd, "ALTER") == 0 &&
+ 			 pg_strcasecmp(prev4_wd, "TABLE") == 0 &&
+ 			 pg_strcasecmp(prev2_wd, "NO") == 0 &&
+ 			 pg_strcasecmp(prev_wd, "INHERIT") == 0)
+ 	{
+ 		COMPLETE_WITH_SCHEMA_QUERY(Query_for_list_of_tables, "");
+ 	}
  	else if (pg_strcasecmp(prev4_wd, "ALTER") == 0 &&
  			 pg_strcasecmp(prev3_wd, "TABLE") == 0 &&
  			 pg_strcasecmp(prev_wd, "DISABLE") == 0)
